package com.ruoyi.system.mapper.other;

import com.ruoyi.system.domain.other.Labels;
import com.ruoyi.system.domain.other.LabelsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LabelsMapper {

    long countByExample(LabelsExample example);

    int deleteByExample(LabelsExample example);

    int deleteByPrimaryKey(String id);

    int insert(Labels record);

    int insertSelective(Labels record);

    Labels selectByPrimaryKey(String id);

    List<Labels> selectByExample(LabelsExample example);

    int updateByExampleSelective(@Param("record") Labels record, @Param("example") LabelsExample example);

    int updateByPrimaryKeySelective(Labels record);

    int updateByExample(@Param("record") Labels record, @Param("example") LabelsExample example);

    List<Labels> getWgdxList(String code);
}